Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.struts.plugins
Class WpTilesPlugin

    java.lang.Object
      TilesPlugin
          com.ibm.portal.struts.plugins.WpTilesPlugin

    public class WpTilesPlugin

extends TilesPlugin

WPS Tiles Plugin used to initialize Tiles in WebSphere Portal on top of Struts Portlet Framework. This plugin is to be used with Struts 1.1 in association with WpTilesRequestProcessor.
Plugin should be declared in each "struts-config.xml" files. This plugin ensure one common definition factory for all modules. The definition factory configuration is read first from 'web.xml' (backward compatibility), then it is overloaded by values found in plugin property values.
The plugin changes the Struts configuration by specifying the WpTilesRequestProcessor as request processor. If user has also specified another request processor, this later should subclass the WpTilesRequestProcessor class.
In case of several modules, the definition factory configuration is read by the first tiles plugin to be initialized. The order is determined by the order of modules declaration in web.xml. The first module is always the default one if it exists. The plugin should be declared in each struts-config.xml file in order to properly intialize the request processor.

Since:
  5.1

Field Summary
`protected static MessageResources` | `messages` The message resources for the Struts Portlet Framework.

Constructor Summary
`WpTilesPlugin()` WpTilesPlugin constructor

Method Summary
`protected void` | `initRequestProcessorClass(ModuleConfig config)` Set RequestProcessor to appropriate WPS Struts Tiles RequestProcessor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### messages

    protected static MessageResources messages

  The message resources for the Struts Portlet Framework.

Constructor Detail

### WpTilesPlugin

    public WpTilesPlugin()

  WpTilesPlugin constructor

Method Detail

### initRequestProcessorClass

    protected void initRequestProcessorClass(ModuleConfig config)
                                      throws ServletException

  Set RequestProcessor to appropriate WPS Struts Tiles RequestProcessor. First check if a requestprocessor is specified. If yes, check if it extends appropriate WpTilesRequestProcessor class. If no, set processor class to WpTilesRequestProcessor

  Parameters:
    `config` - ModuleConfig for the module with which this plug in is associated
  Throws:
    `ServletException` - If an error occur

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD